# sudo apachectl configtest
Listen 8085
<VirtualHost *:8085>
	ServerAdmin davidix1991@gmail.com
	ServerName formha.temporal.work
	ServerAlias formha.temporal.work
	DocumentRoot /var/www/formha

	WSGIDaemonProcess app_formha user=www-data group=www-data threads=4 python-home=/var/www/formha/.venv
	WSGIScriptAlias / /var/www/formha/formha.wsgi

	ErrorLog /var/www/formha/log/error.log
	CustomLog /var/www/formha/log/access.log combined

	<Directory /var/www/formha>
		WSGIProcessGroup app_formha
		WSGIApplicationGroup %{GLOBAL}
		# Order deny,allow
		Require all granted
  </Directory>


	# Habilitar caché para todas las solicitudes
  CacheEnable disk /

  # Configuración de caché
  <IfModule mod_cache_disk.c>
		CacheRoot /var/cache/apache2/mod_cache_disk
    CacheDirLevels 2
    CacheDirLength 1
    # [bytes] Tamaño máximo de archivo a almacenar en caché
    CacheMaxFileSize 1000000
    # CacheMinFileSize bytes
    CacheMinFileSize 1     
    CacheIgnoreHeaders Set-Cookie
    CacheIgnoreNoLastMod On

    <FilesMatch "\.(jpg|jpeg|png|gif|css|js)$">
      # Indica si el caché está funcionando
      Header set X-Cache "HIT from Apache"  
      # Expiración por defecto (1 hora)
      CacheDefaultExpire 3600  
      # Expiración máxima (1 día)
      CacheMaxExpire 86400     
      CacheLastModifiedFactor 0.5
    </FilesMatch>
  </IfModule>

</VirtualHost>

